"""
colorways.vars

Exports some RGB color variables. These variable names differ from the 
CSS keywords. For example, the CSS keyword 'green' refers to the color 
with RGB hexcode #008000 whereas the variable 'green' defined by this 
module refers to the color with the RGB hexcode #00FF00. 

Exports: 
    black       = [0.0, 0.0, 0.0]
    gray1       = [0.1, 0.1, 0.1]
    gray2       = [0.2, 0.2, 0.2]
    gray3       = [0.3, 0.3, 0.3]
    gray4       = [0.4, 0.4, 0.4]
    gray5       = [0.5, 0.5, 0.5]
    gray        = [0.5, 0.5, 0.5]
    gray6       = [0.6, 0.6, 0.6]
    gray7       = [0.7, 0.7, 0.7]
    gray8       = [0.8, 0.8, 0.8]
    gray9       = [0.9, 0.9, 0.9]
    white       = [1.0, 1.0, 1.0]

    red         = [1.0, 0.0, 0.0]
    green       = [0.0, 1.0, 0.0]
    blue        = [0.0, 0.0, 1.0]
    cyan        = [0.0, 1.0, 1.0]
    magenta     = [1.0, 0.0, 1.0]
    yellow      = [1.0, 1.0, 0.0]

    darkred     = [0.5, 0.0, 0.0]
    darkgreen   = [0.0, 0.5, 0.0]
    darkblue    = [0.0, 0.0, 0.5]
    darkcyan    = [0.0, 0.5, 0.5]
    darkmagenta = [0.5, 0.0, 0.5]
    darkyellow  = [0.5, 0.5, 0.0]

"""

__all__ = [
    'black',
    'gray1',
    'gray2',
    'gray3',
    'gray4',
    'gray5',
    'gray6',
    'gray7',
    'gray8',
    'gray9',
    'white',
    'red',
    'green',
    'blue',
    'cyan',
    'magenta',
    'yellow',
    'darkred',
    'darkgreen',
    'darkblue',
    'darkcyan',
    'darkmagenta',
    'darkyellow',
    ]

black       = [0.0, 0.0, 0.0]
gray1       = [0.1, 0.1, 0.1]
gray2       = [0.2, 0.2, 0.2]
gray3       = [0.3, 0.3, 0.3]
gray4       = [0.4, 0.4, 0.4]
gray5       = [0.5, 0.5, 0.5]
gray        = [0.5, 0.5, 0.5]
gray6       = [0.6, 0.6, 0.6]
gray7       = [0.7, 0.7, 0.7]
gray8       = [0.8, 0.8, 0.8]
gray9       = [0.9, 0.9, 0.9]
white       = [1.0, 1.0, 1.0]

red         = [1.0, 0.0, 0.0]
green       = [0.0, 1.0, 0.0]
blue        = [0.0, 0.0, 1.0]
cyan        = [0.0, 1.0, 1.0]
magenta     = [1.0, 0.0, 1.0]
yellow      = [1.0, 1.0, 0.0]

darkred     = [0.5, 0.0, 0.0]
darkgreen   = [0.0, 0.5, 0.0]
darkblue    = [0.0, 0.0, 0.5]
darkcyan    = [0.0, 0.5, 0.5]
darkmagenta = [0.5, 0.0, 0.5]
darkyellow  = [0.5, 0.5, 0.0]



